package main

import "html/template"
import "git.tebibyte.media/sashakoshka/step"

var _ step.FuncProvider = new(Provider)

// Provider provides sample functions.
type Provider struct {
	
}

// NewProvider creates a new provider and returns it.
func NewProvider () step.Provider {
	return new(Provider)
}

// Package fulfills the step.Provider interface.
func (this *Provider) Package () string {
	return "git.tebibyte.media/sashakoshka/step/examples/testplugin"
}

// FuncMap fulfills the step.FuncProvider interface.
func (this *Provider) FuncMap () template.FuncMap {
	return template.FuncMap {
		"test": funcTest,
	}
}

func funcTest () string {
	return "Test plugin"
}
